package org.micord.models.requests;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlValue;
import lombok.Setter;

@Setter
public class AqlRequestCollection {

	private String type;
	private String dateAttribute;
	private String collectionUrl;

	@XmlAttribute(name = "type")
	public String getType() {
		return type;
	}

	@XmlAttribute(name = "dateAttribute")
	public String getDateAttribute() {
		return dateAttribute;
	}

	@XmlValue
	public String getCollectionUrl() {
		return collectionUrl;
	}

}
